| Flutter iOS Embedder |

Instance Methods | Class Methods | Properties | List of all members
PlatformViewFilter Class Reference

`#import <FlutterPlatformViews_Internal.h>`

Inheritance diagram for PlatformViewFilter:

## Instance Methods
(instancetype) | - NS_UNAVAILABLE
(instancetype) | - initWithFrame:blurRadius:visualEffectView:

## Class Methods
(void) | + resetPreparation

## Properties
CGRect | frame
CGFloat | blurRadius
UIVisualEffectView * | backdropFilterView

## Detailed Description

Definition at line 78 of file FlutterPlatformViews_Internal.h.

## Method Documentation

## ◆ initWithFrame:blurRadius:visualEffectView:

- (instancetype) initWithFrame: |  | (CGRect) | frame
blurRadius: |  | (CGFloat) | blurRadius
visualEffectView: |  | (UIVisualEffectView*) | NS_DESIGNATED_INITIALIZER

Definition at line 95 of file FlutterPlatformViews_Internal.mm.

95 :(CGRect)frame
96 blurRadius:(CGFloat)blurRadius
97 visualEffectView:(UIVisualEffectView*)visualEffectView {
98 if (self = [super init]) {
99 _frame = frame;
100 _blurRadius = blurRadius;
101 [PlatformViewFilter prepareOnce:visualEffectView];
102 if (![PlatformViewFilter isUIVisualEffectViewImplementationValid]) {
103 FML_DLOG(ERROR) << "Apple's API for UIVisualEffectView changed. Update the implementation to "
104 "access the gaussianBlur CAFilter.";
105 [self release];
106 return nil;
107 }
108 _backdropFilterView = [visualEffectView retain];
109 _backdropFilterViewConfigured = NO;
110 }
111 return self;
112 }

References blurRadius, and frame.

## ◆ NS_UNAVAILABLE

- (instancetype) NS_UNAVAILABLE |  |  |

## ◆ resetPreparation

+ (void) resetPreparation |  |  |

Definition at line 114 of file FlutterPlatformViews_Internal.mm.

114 {
115 _preparedOnce = NO;
116 [_gaussianBlurFilter release];
117 _gaussianBlurFilter = nil;
118 _indexOfBackdropView = -1;
119 _indexOfVisualEffectSubview = -1;
120 }

References _gaussianBlurFilter, _indexOfBackdropView, _indexOfVisualEffectSubview, and _preparedOnce.

## Property Documentation

## ◆ backdropFilterView

- (UIVisualEffectView *) backdropFilterView
| read nonatomic retain

Definition at line 93 of file FlutterPlatformViews_Internal.h.

Referenced by ChildClippingView::applyBlurBackdropFilters:.

## ◆ blurRadius

- (CGFloat) blurRadius
| read nonatomic assign

Definition at line 87 of file FlutterPlatformViews_Internal.h.

Referenced by initWithFrame:blurRadius:visualEffectView:.

## ◆ frame

- (CGRect) frame
| read nonatomic assign

Definition at line 82 of file FlutterPlatformViews_Internal.h.

Referenced by initWithFrame:blurRadius:visualEffectView:.

The documentation for this class was generated from the following files:

- shell/platform/darwin/ios/framework/Source/FlutterPlatformViews_Internal.h
- shell/platform/darwin/ios/framework/Source/FlutterPlatformViews_Internal.mm

_gaussianBlurFilter
static NSObject * _gaussianBlurFilter
Definition: FlutterPlatformViews_Internal.mm:88
PlatformViewFilter::frame
CGRect frame
Definition: FlutterPlatformViews_Internal.h:82
_indexOfVisualEffectSubview
static NSInteger _indexOfVisualEffectSubview
Definition: FlutterPlatformViews_Internal.mm:92
_preparedOnce
static BOOL _preparedOnce
Definition: FlutterPlatformViews_Internal.mm:93
PlatformViewFilter::blurRadius
CGFloat blurRadius
Definition: FlutterPlatformViews_Internal.h:87
_indexOfBackdropView
static NSInteger _indexOfBackdropView
Definition: FlutterPlatformViews_Internal.mm:90
PlatformViewFilter
Definition: FlutterPlatformViews_Internal.h:78